

#include "cv.h"
#include "highgui.h"
#include <stdio.h>
#include <ctype.h>


CvCapture* capture = 0;


void img2float(IplImage *img, float *data)
{
    //int size = img->width * img->height * img->depth;
    int fidx = img->imageSize;
    //printf ("Size: %d   %d\n",fidx, size);
    for (int i = 0; i <  img->imageSize; i++)
    {
        data[--fidx] = (unsigned char)img->imageData[i] / 255.0f;
    }
}


int getFrame(float *img)
{

        IplImage* frame = 0;

        if ( !capture)
        {
            capture = cvCaptureFromCAM(0);
            if( !capture )
            {
                fprintf(stderr,"Could not initialize capturing...\n");
                return -1;
            }
        }

        frame = cvQueryFrame( capture );
        if( !frame )
            return -1;
        img2float(frame, img);
        
    return 0;

}

